Détail du message 23561.2

Message numéro 2 dans le sujet Ubuntu 10.10 / xampp1.7.3 / RBSChange 3.0 / compatibles ?.

  • 23561.2 en réponse à 23561.1 écrit par asetfaoui@ville-lambersart.fr

    23/11/2010 09:30


    Alexandre Simon
    Titre : Développeur RBS Change
    Rang : Expert
    Bonjour,

    le message d'erreur indiqué concerne la connexion à la base de données.
    Voyez votre fichier de configuration config/project.<profile>.xml et sa section "<databases/>" :

    Voici en exemple un extrait de fichier de configuration permettant la connexion à la base MA_BASE du serveur localhost, avec l'utilisateur MON_USER et le mot de passe MON_PASSWORD :
    <project>
      <defines>
          ...
      </defines>
      <config>
          ...
          <databases>
                            <webapp>
                                    <entry name="class">PDODatabase</entry>
                                    <entry name="user">MON_USER</entry>
                                    <entry name="password">MON_PASSWORD</entry>
                                    <entry name="database">MA_BASE</entry>
                                    <entry name="host">localhost</entry>
                                    <entry name="protocol">mysql</entry>
                                    <entry name="port">3306</entry>
                            </webapp>
         </databases>
         ...
    </project>
    


    Une fois le fichier édité, exécutez change.php compile-config et relancez l'installation.

    N.B : la configuration Apache/MySQL nécessite des privilèges utilisateur spéciaux (root) mais pour le reste, il est conseillé d'utiliser un utilisateur "normal".
 
1378 membres
Aucun membre connecté